# statscloud.io-nodejs-plugin-aws-lambda

This plugins should be used to add statscloud.io moniting to AWS Lambda functions. Detailed documentation about client and how to use it you can find [here](https://gitlab.com/statscloud.io/statscloud.io-nodejs-client#using-with-aws-lambda).

Lambda plugin supports udp and websocket transport.
Default, websocket transport is secure, but requires several round-trip times during lambda execution. UDP transport introduces no delay in lambda execution, but is not secure.
Documentation about how to choose transport you can find [here](https://gitlab.com/statscloud.io/statscloud.io-nodejs-client#choosing-transport).

To use this plugin, just add it to `plugins` section in `.statscloud.json` file:

```json
{
  ...
  "plugins": [
    "aws-lambda"
  ]
}
```

You can customize plugin settings as well:

```json
{
  ...
  "plugins": [
    {
      "name": "aws-lambda",
      "settings": {
        "transport": "udp"  // transport to use to send metrics to statscloud servers. You can choose between "ws" and "udp". Default value is "ws"
      }
    }
  ]
}
```
